#ifndef ENDSTATE_H
#define ENDSTATE_H

#include <GL/freeglut.h>
#include "LevelState.h"
#include "TextureManager.h"

class EndState : public GameState
{
private:
	LevelState *m_oldState;

public:
	EndState(LevelState *oldState);

	virtual void resize(int nWidth, int nHeight);
	virtual void tick(int nFps);
	virtual void onclick();
};

#endif